Topics & Prompts
Batch create topics & prompts
Create multiple topics and prompts in a single request.
POST
/
v1
/
brands
/
{brandId}
/
topics-prompts
/
batch
Batch create topics & prompts
curl --request POST \
--url https://api.example.com/v1/brands/{brandId}/topics-prompts/batch \
--header 'Content-Type: application/json' \
--data '
{
"topics": [
{}
]
}
'import requests
url = "https://api.example.com/v1/brands/{brandId}/topics-prompts/batch"
payload = { "topics": [{}] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({topics: [{}]})
};
fetch('https://api.example.com/v1/brands/{brandId}/topics-prompts/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
The recommended way to add prompts. One call can create new topics, add prompts to those new topics, and also add prompts to existing topics — all at once.
Path parameters
Brand UUID. Obtain from List brands.
Request body
Array of topics. Each topic can be new (provide
name) or existing (provide id).Show TopicInput — new topic
Show TopicInput — new topic
Show TopicInput — existing topic
Show TopicInput — existing topic
Show PromptInput
Show PromptInput
Request
curl -s -X POST \
-H "x-spotlight-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"topics": [
{
"name": "Pricing",
"prompts": [
{ "text": "How does the pricing compare to alternatives?", "customerJourney": "consideration" },
{ "text": "Is there a free tier available?" }
]
},
{
"id": "existing-topic-uuid",
"prompts": [
{ "text": "What do customers say about support response times?" }
]
}
]
}' \
"https://app.get-spotlight.com/api/v1/brands/BRAND_ID/topics-prompts/batch"
import requests
payload = {
"topics": [
{
"name": "Pricing",
"prompts": [
{"text": "How does the pricing compare to alternatives?", "customerJourney": "consideration"},
],
},
{
"id": "existing-topic-uuid",
"prompts": [{"text": "What do customers say about support?"}],
},
]
}
r = requests.post(
"https://app.get-spotlight.com/api/v1/brands/BRAND_ID/topics-prompts/batch",
headers={"x-spotlight-api-key": "YOUR_API_KEY"},
json=payload,
)
print(r.json())
Response
{
"topics": [
{ "id": "new-topic-uuid", "name": "Pricing", "prompts": [] }
],
"remainingSlots": 87,
"promptLimit": 100,
"orgWideLimit": 500,
"orgTotalPrompts": 413
}
Errors
409 — prompt limit exceeded:
{
"message": "Prompt limit exceeded",
"code": "prompt_limit_exceeded",
"remainingSlots": 0,
"promptLimit": 100,
"orgWideLimit": 500,
"orgTotalPrompts": 500
}
⌘I
Batch create topics & prompts

